<?php

namespace Drupal\cmlmigrations\Drush;

use Drush\Commands\DrushCommands;

/**
 * A Drush commandfile.
 */
class DrushCmd extends DrushCommands {

  /**
   * Run cmlmigrations.
   *
   * @command cmlmigrations
   * @usage cmlmigrations
   */
  public function cmlmigrationsRun() {
    $config = \Drupal::config('cmlmigrations.settings');
    $this->output()->writeln("cmlmigrations:: RUN");
    \Drupal::service('cmlmigrations.migrate')->import();
  }

}
